petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectGetOptionsPrefix

Gets the prefix of the PetscObject.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetOptionsPrefix(PetscObject obj,const char *prefix[])

### Input Parameters

obj -any PETSc object, for example a Vec, Mat or KSP.

### Output Parameters

prefix -pointer to the prefix string used is returned

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectSetOptionsPrefix(), PetscObjectAppendOptionsPrefix(), PetscObjectPrependOptionsPrefix(),
TSGetOptionsPrefix(), SNESGetOptionsPrefix(), KSPGetOptionsPrefix()

### Level

advanced

### Location

src/sys/objects/prefix.c

### Examples

src/snes/examples/tutorials/ex56.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages